# Source IBAN Validation

We have added several new APIs to manage and store IBAN linking requests for SME users and accounts. These APIs ensure that IBANs are securely associated with accounts and can be used for validation purposes.&#x20;

Below you can find the list of relevant APIs:

* [Link source IBAN with SME user/account](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/paths/~1v1~1accounts~1iban~1bulk~1link/post) - users can use this API to link source IBAN with SME (nCore) user\_id / account\_id and IBAN will be parked for admin approval.
* [Update source IBAN linking with SME user/account](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/operation/updateLinkedIban) - this API is used to update source IBAN linking with SME (nCore) user\_id / account\_id for validation.
* [Delete source IBAN linking with SME user/account](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/operation/deleteLinkedIban) - this API is used to delete source IBAN linking with SME (nCore) user\_id / account\_id for validation.
* [Get linked source IBAN with SME user/account](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/operation/getLinkedAccountPerIbanOrAccountNumber) - this API is used to retrieve linked source IBAN with SME (nCore) user\_id / account\_id for validation.
* [Get source IBAN of SME user/account](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/operation/getLinkedIbans) - this API is used to retrieve source IBAN of SME (nCore) user\_id / account\_id for validation.
* [Upload document for later IBAN link](https://portal.stg.platform.ae-1.nymcard.com/default/documentation/02_api_specs#tag/Accounts/operation/uploadDocumentForIbanLink) - this API is used to upload documents for later IBAN links.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nymcard.com/get-started/transactions/source-iban-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
